package com;
public class Base64
{

    public Base64()
    {
    }

    public static String encode(byte abyte0[])
    {
        StringBuffer stringbuffer = new StringBuffer();
        int i = 0;
        for(i = 0; i < abyte0.length - abyte0.length % 3; i += 3)
        {
            byte byte0 = (byte)(abyte0[i] >> 2 & 0x3f);
            stringbuffer.append("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".charAt(byte0));
            byte0 = (byte)(((abyte0[i] & 3) << 4) + (abyte0[i + 1] >> 4 & 0xf));
            stringbuffer.append("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".charAt(byte0));
            byte0 = (byte)(((abyte0[i + 1] & 0xf) << 2) + (abyte0[i + 2] >> 6 & 3));
            stringbuffer.append("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".charAt(byte0));
            byte0 = (byte)(abyte0[i + 2] & 0x3f);
            stringbuffer.append("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".charAt(byte0));
            if((i + 2) % 56 == 0)
                stringbuffer.append("\r\n");
        }

        if(abyte0.length % 3 != 0)
            if(abyte0.length % 3 == 2)
            {
                byte byte1 = (byte)(abyte0[i] >> 2 & 0x3f);
                stringbuffer.append("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".charAt(byte1));
                byte1 = (byte)(((abyte0[i] & 3) << 4) + (abyte0[i + 1] >> 4 & 0xf));
                stringbuffer.append("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".charAt(byte1));
                byte1 = (byte)((abyte0[i + 1] & 0xf) << 2);
                stringbuffer.append("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".charAt(byte1));
                stringbuffer.append("=");
            } else
            if(abyte0.length % 3 == 1)
            {
                byte byte2 = (byte)(abyte0[i] >> 2 & 0x3f);
                stringbuffer.append("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".charAt(byte2));
                byte2 = (byte)((abyte0[i] & 3) << 4);
                stringbuffer.append("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".charAt(byte2));
                stringbuffer.append("==");
            }
        return stringbuffer.toString();
    }

    public static String encode(String s)
    {
        return encode(s.getBytes());
    }

    public static byte[] decode(String s)throws Exception
    {
        byte abyte0[] = null;
        StringBuffer stringbuffer = new StringBuffer(s);
        int i = 0;
        char c = ' ';
        byte byte0 = 32;
        for(; i < stringbuffer.length(); i++)
        {
            byte byte1 = (byte)c;
            c = stringbuffer.charAt(i);
            if(byte1 == 13 && c == '\n')
            {
                stringbuffer.deleteCharAt(i);
                stringbuffer.deleteCharAt(i - 1);
                i -= 2;
            } else
            if(c == '\t')
            {
                stringbuffer.deleteCharAt(i);
                i--;
            } else
            if(c == ' ')
            {
                stringbuffer.deleteCharAt(i);
                i--;
            }
        }

        if(stringbuffer.length() % 4 != 0)
            throw new Exception("Base64 decoding invalid length");
        abyte0 = new byte[3 * (stringbuffer.length() / 4)];
        int l = 0;
        for(int j = 0; j < stringbuffer.length(); j += 4)
        {
            boolean flag = false;
            int i1 = 0;
            for(int j1 = 0; j1 < 4; j1++)
            {
                char c1 = stringbuffer.charAt(j + j1);
                byte byte2;
                if(c1 == '=')
                    byte2 = 0;
                else
                    byte2 = getBaseTableIndex(c1);
                if(byte2 == -1)
                    throw new Exception("Base64 decoding bad character");
                i1 = 64 * i1 + byte2;
            }

            abyte0[l] = (byte)(0xff & i1 >> 16);
            l++;
            abyte0[l] = (byte)(0xff & i1 >> 8);
            l++;
            abyte0[l] = (byte)(0xff & i1);
            l++;
        }

        byte abyte1[] = new byte[l];
        for(int k = 0; k < l; k++)
            abyte1[k] = abyte0[k];

        return abyte1;
    }

    protected static byte getBaseTableIndex(char c)
    {
        byte byte0 = -1;
        for(byte byte1 = 0; byte1 < "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".length(); byte1++)
        {
            if("ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".charAt(byte1) != c)
                continue;
            byte0 = byte1;
            break;
        }

        return byte0;
    }

    static final String baseTable = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/";
}