package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.net.*;
import java.io.*;
import com.DBConnection;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.util.LinkedList;

public class AchTest extends BodyTagSupport
{
	
	private java.util.List aid = new java.util.LinkedList();
	private java.util.List mid = new java.util.LinkedList();
	private java.util.List mdomain = new java.util.LinkedList();
	private java.util.List date = new java.util.LinkedList();
	private java.util.List cid =new java.util.LinkedList();
	private java.util.List apid = new java.util.LinkedList();
	private int index;
	private StringBuffer output = null;

	DBConnection dbconn = new DBConnection ();
	public int doStartTag() throws JspException
    {
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null;
		java.sql.ResultSet rs = null;
		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();

			JspWriter out = pageContext.getOut();
			qry = "SELECT adminaslid,mailerid,mailerdomain,date_insersion,conditionid,approvalid FROM ADMINASL";
			rs = stmt.executeQuery( qry );
			if ( rs.next() )
			{
				aid.add(rs.getString(1));
				mid.add(rs.getString(2));
				mdomain.add(rs.getString(3));
				SimpleDateFormat sf = new SimpleDateFormat("MM/dd/yyyy");
				Date dt = rs.getDate(4) ;
				String date1 = sf.format(dt);
                                date.add(date1);
				cid.add(rs.getString(5));
				apid.add(rs.getString(6));
			}
			else
			{
				aid.add ("0");
				mid.add ("0");
				mdomain.add ("0");
				date.add ("0");
				cid.add ("0");
				apid.add ("0");
				
			}
		}
		catch ( Exception e )
		{
			System.out.println("Exception-->"+e);	
		}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch(Exception ignored)
			{
				System.out.println("Spam Controller");
			}
		}
		if(aid.size() > 0)
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;

	}
	public int doAfterBody() throws JspTagException
	{
		BodyContent bodycontent = getBodyContent();
		if( bodyContent != null )
		{
			output.append(bodyContent.getString());
			try
			{
				bodyContent.clear();
			}
			catch(IOException ex)
			{
				System.out.println("Spam Controllar");
				throw new JspTagException("Fatal IO error");
			}
		}
		if(++index < aid.size())
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch(IOException ex)
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO error");
		}
		return EVAL_PAGE;
	}


	private void setLoopVariables ()
	{
		pageContext.setAttribute( "aid", aid.get( index ).toString() );
		pageContext.setAttribute("mid", mid.get( index ).toString());
		pageContext.setAttribute("mdomain", mdomain.get( index ).toString());
		pageContext.setAttribute("date", date.get( index ).toString());
		pageContext.setAttribute("cid", cid.get( index ).toString());
		pageContext.setAttribute("apid" , apid.get( index ).toString());
		
	}

} 
	