<%
/********************************************************************************/
/* Name			:	uploadfiles.jsp												*/
/* Copyright	:	2003 SATCOMLABS LTD.										*/
/* Team			:	Spam Control Team											*/
/* Developer	:	Pavan Gupta													*/
/* Last Updated	:	11.23 AM 19/01/2004											*/
/* Abstract		:	Read eamil addresses fro text file and add them in asl		*/
/* Called from	: 	usermain.jsp												*/
/* Calls		:	ImportFile.class, interuploadfile							*/
/********************************************************************************/
%>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<%@ taglib prefix="domain" uri="/WEB-INF/TLDS/domain.tld" %>
<%@ taglib prefix="server" uri="/WEB-INF/TLDS/server.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<jsp:useBean id = "domainmainid" scope = "session" class = "com.antispam.DomainSettings" />
<jsp:useBean id = "settingid" scope = "page" class = "com.antispam.AddUserDomain" />

<%

int loginuserid = validate.getUserid();
if(loginuserid == 0)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
int userid = 0;
int tempuserid = validate.getTempuserid();

int adminid = validate.getAdminid();
int logindomainid = validate.getDomainid();
int domainid = 0;
int tempdomainid = validate.getTempdomainid();
String userheader = "";
String domainheader = "";
String serverheader = "";
String user = ""; // decide the for which whitelist file is imported

if(tempuserid == 0)
	userid = loginuserid;
else
	userid = tempuserid;
if(tempdomainid == 0)
	domainid = logindomainid;
else
	domainid = tempdomainid;

domainmainid.setHiddomainid(domainid);
	domainmainid.registered();

settingid.setDomainid(domainid);
settingid.selectDefault();

	String user_reg = domainmainid.getRadRegistration();
	if(user_reg == null)
		user_reg = "";

String uploadtype = request.getParameter("uploadtype");
if (uploadtype.equals("U"))
{
	user = "User";
	userheader = "header_active";
}
else 
	userheader = "header";

if (uploadtype.equals("D"))
{
	user = "Domain";
	domainheader = "header_active";
}
else 
	domainheader = "header";

if (uploadtype.equals("S"))
{
	user = "Server";
	serverheader = "header_active";
}
else 
	serverheader = "header";

String message = "";
if(request.getParameter("msg") != null)
	message = request.getParameter("msg");
%>
<HTML>
	<HEAD>
		<TITLE>Import Pre-approved Senders</TITLE>
		<LINK href="stylesheets/display_control.css" rel=stylesheet type=text/css>
	</HEAD>
	<SCRIPT language=javascript src="scripts/validations.js"></SCRIPT>
	<SCRIPT language=javascript>
		//FUNCTION TO CHECK THE FILE TYPE
		
		function checkFileType()
		{
			//if(document.frmUpload.sendalsochallenge != null && document.frmUpload.sendalsochallenge.checked==true)
				//document.frmUpload.hidsendalsochallenge.value='Y';
			//else
				document.frmUpload.hidsendalsochallenge.value='N';

			if(document.frmUpload.chkpassiveflag != null && document.frmUpload.chkpassiveflag.checked == true)
				document.frmUpload.passiveflag.value = "y";
			else
				document.frmUpload.passiveflag.value = "n";

			//alert(document.frmUpload.passiveflag.value);

			var path = document.frmUpload.uploadfile.value;
			if(path.length==0)
			{
				alert("Please select a Text file to Upload");
				document.frmUpload.uploadfile.focus();
				return false;
			}
			var fileName = path.substr(path.length - 3)
			if(fileName != "txt")
			{
				alert("Only Text Files are Allowed");
				document.frmUpload.uploadfile.focus();
				return false;
			}
			else
			{
				document.frmUpload.submit();
			}
		}

		function funload()
		{
			//var tdofspf = document.getElementById("tblUser");
			//tdofspf.style.display = "none";

			document.frmUpload.uploadfile.focus();
		}

		function openExportHelp(helpFileName)
		{
			window.open(  "/help/" + helpFileName,"helpWin","addressbar=no,toolbar=no,resizable=yes,Scrollbars=yes,height=400,width=500")
		}
		
		function checkStatus()
		{
			var tdofspf = document.getElementById("tblUser");

			if('<%=uploadtype%>'=='D')
			{
				if(document.frmUpload.status[2].checked == true)
				{
					document.frmUpload.email.disabled = true;
					document.frmUpload.Domain.disabled = true;
					document.frmUpload.SubDomain.disabled = true;
					document.frmUpload.importuser.value = 'Y';
					tdofspf.style.display = "";
				}
				else
				{
					document.frmUpload.email.disabled = false;
					document.frmUpload.Domain.disabled = false;
					document.frmUpload.SubDomain.disabled = false;
					tdofspf.style.display = "none";
				}
			}
		}

		function checkstatus()
		{
			if(document.frmUpload.radstatus[1].checked)
			{
				document.frmUpload.sendalsochallenge.disabled = false;
			}
			else
			{
				document.frmUpload.sendalsochallenge.disabled = true; 
			}

			if(document.frmUpload.radstatus[2].checked)
			{
				document.frmUpload.passivestatus[0].disabled = false;
				document.frmUpload.passivestatus[1].disabled = false;

				document.frmUpload.chkpassiveflag.disabled = false;
				document.frmUpload.chkAdditional.disabled = false;
			}
			else
			{
				document.frmUpload.passivestatus[0].disabled = true;
				document.frmUpload.passivestatus[1].disabled = true;

				document.frmUpload.checkfwdmail[0].disabled = true;
				document.frmUpload.checkfwdmail[1].disabled = true;
				document.frmUpload.chkpassiveflag.disabled = true;
				document.frmUpload.chkAdditional.disabled = true;
				
			}
			document.frmUpload.txtAlternateto.readOnly= true;
		}
		
		function checkAdditional()
		{
			if(document.frmUpload.chkAdditional.checked == true)
			{
				document.frmUpload.checkfwdmail[0].disabled = false;
				document.frmUpload.checkfwdmail[1].disabled = false;
				document.frmUpload.txtAlternateto.readOnly= false;
			}
			else
			{
				document.frmUpload.checkfwdmail[0].disabled = true;
				document.frmUpload.checkfwdmail[1].disabled = true;
				document.frmUpload.txtAlternateto.readOnly= true;
			}
		}

		function check3()
		{
				document.frmUpload.txtAlternateto.readOnly= false;
		}

		function check2()
		{
				document.frmUpload.txtAlternateto.readOnly= true;
		}
	</SCRIPT>
	<BODY >
	<FORM encType=multipart/form-data action=interuploadfile.jsp method=post name=frmUpload onsubmit="checkFileType();">
		<INPUT type=hidden name=uploadtype value="<%=uploadtype%>">
		<INPUT type=hidden name=importuser value="N">
		<input type=hidden name="hidsendalsochallenge">
		<input type=hidden name="passiveflag">
		<INPUT type=hidden name="quaranstatus">
		<INPUT type=hidden name="passiveflag">
		<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
			<TBODY>
				<TR>
					<TD colSpan=2><!--for the header Image-->
						<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
							<TBODY>
								<TR>
									<TD bgColor=#cecece>
										<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
											<TBODY>
												<TR>
													<TD align=left vAlign=top width="52%"><img border="0" src="images/img.gif" width="436" height="48"></TD>
													<TD align=right vAlign=top width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
												</TR>
											</TBODY>
										</TABLE>
									</TD>
								</TR>
								<TR>
									<TD bgColor=#000000><IMG src="images/1x1.gif" width="1" height="1"></TD>
								</TR>
								<TR>
									<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
										<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
											<TBODY>
												<TR>
												<% if (adminid == 1) { %>
													<TD align=left vAlign=bottom width="33%">
														<DIV class="<%=userheader%>" id=TopBanner_UserPanel>
															<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																<TBODY>
																	<TR>
																		<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																		<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																		<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</DIV>
													<TD width="33%">
														<DIV class="<%=domainheader%>" id=TopBanner_Panel>
															<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																<TBODY>
																	<TR>
																		<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																		<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																		<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</DIV>
													</TD>
													<TD width="34%">
														<DIV class="<%=serverheader%>" id=TopBanner_ServerPanel>
															<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																<TBODY>
																	<TR>
																		<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																		<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "servermain.jsp">Server</a></TD>
																		<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</DIV>
													</TD>
												<% } else if (adminid == 2) { %>
													<TD align=left vAlign=bottom width="33%">
														<DIV class="<%=userheader%>" id=TopBanner_UserPanel>
															<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																<TBODY>
																	<TR>
																		<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																		<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																		<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</DIV>
													</TD>
													<TD width="33%">
														<DIV class="<%=domainheader%>" id=TopBanner_DomainPanel>
															<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																<TBODY>
																	<TR>
																		<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																		<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																		<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</DIV>
													</TD>
													<TD width="34%"></TD>
												<% } else if (adminid == 3) { %>
													<TD align=left vAlign=bottom width="33%">
														<DIV class="<%=userheader%>" id=TopBanner_UserPanel>
															<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																<TBODY>
																	<TR>
																		<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																		<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																		<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</DIV>
													</TD>
													<TD width="33%"></TD>
													<TD width="34%"></TD>
												<% } %>
												</TR>
												<TR>
													<TD colSpan=3>
														<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
															<TBODY>
																<TR class=blanktd>
																	<% if (uploadtype.equals("U") || uploadtype.equals("S")) { %>
																		<TD width="90%">
																			<spam:UserInfo userid="<%= loginuserid %>">Logged in as: <%= username %>@<%=domainname%></spam:UserInfo>
																			<% if (userid != loginuserid) { %>
																			<spam:UserInfo userid="<%= tempuserid %>">
																				<% if (username.equals("0")) {} else { %>
																					and working as: <%= username %>@<%=domainname%>
																				<% } %>
																			</spam:UserInfo>
																			<% } %>
																		</TD>
																	<% } else { %>
																		<TD width="90%">Working in Domain:<domain:domaininfo domain_id="<%= domainid %>" /></TD>
																	<% } %>
																	<% if (uploadtype.equals("U")) { %>
																		<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/UserImportHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																	<% } else if (uploadtype.equals("D")) { %>
																		<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/DomainImportHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																	<% } else if (uploadtype.equals("S")) { %>
																		<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/ServerImportHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																	<% } %>
																</TR>
																<TR>
																	<TD bgColor=#330099 colSpan=2></TD>
																</TR>
															</TBODY>
														</TABLE>
													</TD>
												</TR>
											</TBODY>
										</TABLE>
									</TD>
								</TR>
							</TBODY>
						</TABLE>
					</TD>
				</TR>
				<TR>
					<TD class=navbg><!--For the menu--><!--Menu for User-->
						<% if (uploadtype.equals("U")) { %>
								<spam:usermenu showCurrPage="12"></spam:usermenu>
						<% } else if(uploadtype.equals("D")) { %>
							<% if (user_reg.equals("tempid")) { %>
							<domain:domainmenutemp showCurrPage="9"></domain:domainmenutemp>
						<% } else { %>
							<domain:domainmenu showCurrPage="9"></domain:domainmenu>
						<% } %>
						<% } else if(uploadtype.equals("S")) { %>
						<server:servermenu showCurrPage="11"></server:servermenu>
						<% } %>
					</TD>
						<TD vAlign=top><!--Main Section-->
							<TABLE border=0 cellPadding=0 cellSpacing=2 width="100%">
								<TBODY>
									<TR class=2nd_grid_head>
										<TD colSpan=2>Import Pre-approved email addresses to&nbsp; <SPAN id=lblHeading><%=user%></SPAN> whitelist </TD>
									</TR>
									<TR class=generalBody>
										<TD colSpan=2><Strong>If you have a Microsoft email client, you can use the free utilities below to easily export your contacts and create a text file suitable for importing.</Strong></TD>
									</TR>
									<TR class="generalBody">
										<td>&nbsp;</td>
										<TD><table width="95%" border="0" cellspacing="5" cellpadding="0">
											<tr> 
												<td width="6%">&nbsp;</td>
												<td class="generalbody"><A href="/utils/OutlookOfficeSAR.exe">Microsoft Outlook Office Exporter</A> (<A href='javascript:openExportHelp("OutlookOfficeExport.htm")' OutlookOfficeExport.htm?)?>Step by Step Help</A>)</td>
											</tr>
											<tr> 
												<td>&nbsp;</td>
												<td class="generalbody"><A href="/utils/OutlookExpressSAR.exe">Microsoft Outlook Express Exporter</A> (<a href='javascript:openExportHelp("OutlookExpressExport.htm")' OutlookExpressExport.htm?)?>Step by Step Help</a>)</td>
											</tr>
											</table>
								<TR class="generalBody">
									<td>&nbsp;</td>
									<TD><table width="100%" border="0" cellspacing="5" cellpadding="0">
								<TR>
									<TR class=generalBody>
										<TD colSpan=2><Strong>Click the "Browse" button to select a plain text file (.txt format) containing one email address per line that you wish to import. </Strong></TD>
									</TR>
									<TR>
										<TD class=generalbody noWrap vAlign=top>Select File </TD>
										<TD><INPUT class=btn name=uploadfile size=54 type=file></TD>
									</tr>
									<tr>
										<TD class=generalbody noWrap vAlign=top></TD>
										<TD class="errmsg">&nbsp;</TD>
									</tr><TABLE cellSpacing="0" cellPadding="0" width="100%" border="0">
														<TR class="generalbody">
															<TD align="top">
																<input id="preapproved" type="radio" name="status" value=1 checked="checked" onclick="checkStatus()"/></TD>
															<TD align="top">The policy to apply to each email in this file will be "Pre-approved".</TD>
															
														</TR>
														<TR class="generalbody">
															<TD align="top">
																<input id="spammer" type="radio" name="status" value=2 onclick="checkStatus()"/></TD>
															<TD align="top">The policy to apply to each email in this file will be "Spammer".</TD>
														</TR>
														<%
															if (uploadtype.equals("D"))
																{
														%>
														<TR class="generalbody">
															<TD align="top">
																<input id="spammer" type="radio" name="status" value=3 onclick="checkStatus()"/></TD>
															<TD align="top">Add as user.</TD>
														</TR>
														<table cellSpacing="0" cellPadding="0" width="100%" border="0" id="tblUser" Style='display:none;'>
														<TR >
																					<TD class=generalbody-gray style="HEIGHT: 20px" vAlign=top width="30%">Authority</TD>
																					<TD class=generalbody-gray colSpan=2 style="HEIGHT: 20px" width="70%">
																						<INPUT CHECKED id=AddUsr_rdAdminU name = radauthority type=radio value=3>
																						<LABEL for=AddUsr_rdAdminU>Normal User</LABEL> 
																						<INPUT id=AddUsr_rdAdminD name=radauthority type=radio value=2>
																						<LABEL for=AddUsr_rdAdminD>Domain Administrator</LABEL>
							
																					</TD>
																				</TR>
																				<TR class=generalbody-gray>
																					<TD vAlign=top width="30%">Auto Approve<BR>on CC</TD>
																					<TD colSpan=2 width="70%">
																						<SPAN align="left">If someone from my organization (domain) sends an email that includes my address on the TO or CC line, all the recipients are pre-approved to send me a reply or subsequent email.</SPAN> <BR>
																						<INPUT CHECKED id=AddUsr_rdApproveY name=radauto type=radio value=1>
																						<LABEL for=AddUsr_rdApproveY>Yes</LABEL>
																						<INPUT id=AddUsr_rdApproveN name=radauto type=radio value=0><LABEL for=AddUsr_rdApproveN>No</LABEL>
																					</TD>
																				</TR>
																				<TR class=generalbody-gray>
																					<TD vAlign=top width="30%">Status</TD>
																					<TD colSpan=2 width="70%">
																						<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																							<TBODY>
																							<TR class=generalbody-gray>	<TD><INPUT CHECKED id=AddUsr_rdStatus1 name=radstatus type=radio value=1 onclick="checkstatus()"></TD>	<TD>Active: Unknown senders must validate themselves in order to send email to me</TD></TR>
																							<TR class=generalbody-gray>     
																<TD>
																	<INPUT id=AddUsr_rdStatus5 name=radstatus type=radio value=5 onclick="checkstatus()"></TD>
																	<TD>Greylist:Unknown senders will 
																be reected with a 450 smtp error of
																specified amount of time </TD>     
																</TR>
																<TR class=generalbody-gray>
																<TD>&nbsp;</TD>
																<TD>
                                                                <INPUT type="checkbox" name= "sendalsochallenge"  disabled value="ON">Send challenge to unknown sender.</TD>
															</TR>
																
																<TR class=generalbody-gray>	<TD><INPUT id=AddUsr_rdStatus2 name=radstatus type=radio value=2 onclick="checkstatus()"></TD>		<TD>Passive: Accept email from everyone but add '[<%=settingid.getPassiveText()%>]' to the subject line from unknown senders</TD>
																								</TR>
																						<TR class=generalbody-gray>	<TD>&nbsp;</TD>	<TD>
																						<input type="radio" name="passivestatus" value="0" checked disabled >Insert text [<%=settingid.getPassiveText()%>] to begining of subject line.</TD>
																						</TR>
																					<TR class=generalbody-gray>	<TD>&nbsp;</TD>	<TD>
																					<input type="radio" name="passivestatus" value="1" disabled >Append text [<%=settingid.getPassiveText()%>] to end of subject line.</TD>
																				</TR>

																<TR class=generalbody-gray>
																	<TD>&nbsp;</TD>
																	<TD><INPUT type="checkbox" name= "chkpassiveflag" value="2" disabled>Send Challange Mail.</TD>
																</TR>
																
															<TR class=generalbody-gray>
																<TD>&nbsp;</TD>
																<TD>
																<fieldset style="padding: 2"><legend>
																<INPUT type="checkbox" name= "chkAdditional" onclick="checkAdditional()" disabled value="ON">Additional Action </legend>

																<input type="radio" name="checkfwdmail" value="2" onclick="check3()" disabled>Forward Unknown Emails To <INPUT class=textInpt  name=txtAlternateto  size="20">@<domain:domaininfo domain_id="<%= domainid %>" />
																<br><br>
																<INPUT type="radio" name= "checkfwdmail" value="1" onclick="check2()" disabled> Move to Quarantine Folder (Delete mail older then  <%=settingid.getQuarantinetime()%> days).
																
																</fieldset>
																</TD>
															</TR>
																
															<TR class=generalbody-gray><TD>
																		<INPUT id=AddUsr_rdStatus3 name=radstatus type=radio value=3 onclick="checkstatus()"></TD>	<TD>Silent: Accept all email </TD>
															</TR>
																		
																		<TR class=generalbody-gray>
																        <TD>
																		<INPUT id=AddUsr_rdStatus4 name=radstatus type=radio value=4 onclick="checkstatus()"></TD>
																<TD>Pass Through: Accept all email. Do not add to my white list. </TD>
															    </TR>									
																</TBODY>
																						</TABLE>
																					</TD>
																				</TR>
																				<TR class=generalbody-gray>
																					<TD vAlign=top>Keymails</TD>
																					<TD>
																						<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" id="AutoNumber1" height="57">
																							<tr class=generalbody-gray>
																								<td width="5%" height="19"><input type="radio" name="keymails" value="0" checked></td>
																								<td width="95%" height="19">Insert: Insert keymail to the beginning of the subject line email to me</td>
																							</tr>
																							<tr class=generalbody-gray>
																								<td width="5%" height="19"><input type="radio" name="keymails" value="1"></td>
																								<td width="95%" height="19">Append: Append keymail to the end of the subject line</td>
																							</tr>
																							<tr class=generalbody-gray>
																								<td width="5%" height="19"><input type="radio" name="keymails" value="2"></td>
																								<td width="95%" height="19">Do not put email to subject line</td>
																							</tr>
																						</table>
																					</TD>
																				</TR>
																				<TR class=generalbody-gray>
																					<TD vAlign=top>Keymails Status</TD>
																					<TD>
																						<table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" id="AutoNumber2">
																							<tr class=generalbody-gray>
																								<td width="5%" rowspan="2" height="22" valign=top>Keymail Expired</td>
																								<td width="5%" height="22"><input type="radio" name="allwd_exp_keymails" value="0" checked></td>
																								<td width="90%" height="22">Do not allow me to send emails using Expired keymails</td>
																							</tr>
																							<tr class=generalbody-gray>
																								<td width="5%" height="22"><input type="radio" name="allwd_exp_keymails" value="1"></td>
																								<td width="90%" height="22">Allow me to send emails using Expired keymails </td>
																							</tr>
																							<tr class=generalbody-gray>
																								<td width="5%" rowspan="2" height="22" valign=top>Keymail Limited</td>
																								<td width="5%" height="22"><input type="radio" name="allwd_lmt_keymails" value="0" checked></td>
																								<td width="90%" height="22">Do not allow me to send emails using limited keymails (when limit has reached)</td>
																							</tr>
																							<tr class=generalbody-gray>
																								<td width="5%" height="22"><input type="radio" name="allwd_lmt_keymails" value="1"></td>
																								<td width="90%" height="22">Allow me to send emails using limited keymails (when limit has reached)</td>
																							</tr>
																							<tr class=generalbody-gray>
																								<td width="5%" rowspan="2" height="22" valign=top>Keymail Disabled</td>
																								<td width="5%" height="22"><input type="radio" name="allwd_dsb_keymails" value="0" checked></td>
																								<td width="90%" height="22">Do not allow me to send email using disabled keymails</td>
																							</tr>
																							<tr class=generalbody-gray>
																								<td width="5%" height="22"><input type="radio" name="allwd_dsb_keymails" value="1"></td>
																								<td width="90%" height="22">Allow me to send email using disabled keymails</td>
																							</tr>
																							</table>
																							<tr>
																							<td></td>
																							</tr>

														<%
																}
														%>
														</TABLE>
									<TR>
										<TD></TD>
										<TD> 
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD class=generalbody colSpan=2 width="100%"><Strong>The scope of each email address in this file will be: </Strong></TD>
													</TR>
													<TR class=generalbody>
														<TD width="7%">&nbsp;</TD>
														<TD>
															<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=generalbody>
																		<TD align=top><INPUT CHECKED id=email name=ASL type=radio value=1></TD>
																		<TD align=top>Email only: Accept subsequent emails from the sender's specific email addresses listed.</TD>
																	</TR>
																	<TR class=generalbody>
																		<TD align=top><INPUT id=Domain name=ASL type=radio value=2></TD>
																		<TD align=top>Domain: Accept subsequent emails from any sender in the domain of the emails listed.</TD>
																	</TR>
																	<TR class=generalbody>
																		<TD align=top><INPUT id=SubDomain name=ASL type=radio value=3></TD>
																		<TD align=top>Subdomain: Accept subsequent emails from any sender in the domain OR subdomain of the emails listed.</TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR class=genaralbody>
										<TD>&nbsp;</TD>
										<TD><P>&nbsp;</P>
											<SPAN class=generalbody>When you have selected the file to import, click 'Import Pre-approved senders'.</SPAN><BR>
											<SPAN class=errMsg id=spErr><%=message%></SPAN><BR><BR>
											<INPUT class=btn name=btnSubmit onclick="checkFileType();return false" type=submit value="Import Pre-approved Senders">&nbsp; 
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD bgColor=black colSpan=2 height=1 width="100%"></TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
		</FORM>
	</BODY>
</HTML>
<%
}
%>