/********************************************************************************/
/* Name		: DomainUsers.java													*/
/* Copyright	          : 2003 SATCOMLABS LTD.				     						*/
/* Team		: Spam Control Team												*/
/* Developer		: Amit Kumar													*/
/* Last Updated	: 										*/
/* Abstract		:  													*/
/* Called from	: 														*/
/* Calls		: 												*/
/********************************************************************************/


package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import java.util.Date;
import java.text.SimpleDateFormat;
import com.DBConnection;
import java.util.List;
import java.util.LinkedList;

public class DomainUsers extends BodyTagSupport 
	{
	
	public int domainid = 0;
	public int adminid = 0;
	public int noofrec = 0;
	
		
	public String hidshowallbtn = null;
	public String sortname = null;
	public String sortemail = null;

	public int minimum = 0;		
	public int k =0;
	
	private  List FirstName = new LinkedList();		
	private  List LastName = new LinkedList();
	private  List Email_UserName= new LinkedList();
	private  List Status = new LinkedList();
	private  List AdminID = new LinkedList();
	private  List DomainName = new LinkedList();
	private  List UserID = new LinkedList();
	
	
	public String txtusername = null;
	public int rdostatus = 0;
	public int rdoadmin = 0;
		
	
	private int index;
	private StringBuffer output = null;

	DBConnection dbconn = new DBConnection ();
	
	
	public void setMinimum( int d )
    	{
		minimum = d;	
	}
	
	public int getMinimum()
    	{	
		return minimum;	
	}
	
	public void setNoofrec( int d )
    	{
		noofrec = d;	
	}
	
	public int getNoofrec()
    	{	
		return noofrec;	
	}
	
	public void setAdminid( int d )
    	{
		adminid = d;	
	}
	
	public int getAdminid()
    	{	
		return adminid;	
	}
	
	public void setSortname( String d )
    	{
		sortname = d;	
	}
	
	public String getSortname ()
    	{	
		return sortname;	
	}
	
	public void setSortemail( String d )
    	{
		sortemail = d;	
	}
	
	public String getSortemail ()
    	{	
		return sortemail;	
	}
	
	//SET-GET SEARCH BUTTON	 
	public void setHidshowallbtn( String d )
    	{
		hidshowallbtn = d;	
	}
	
	public String getHidshowallbtn ()
    	{	
		return hidshowallbtn;	
	}
	
	//SET-GET DOMAINID	 
	public void setDomainid( int d )
    	{
		domainid = d;	
	}
	
	public int getDomainid ()
    	{	
		return domainid;	
	}
	
	//SET-GET USERNAME
	public void setTxtusername( String d )
    	{
		txtusername = d;	
	}
	
	public String getTxtusername()
    	{	
		return txtusername;	
	}
	//SET-GET STATUS
	public void setRdostatus( int d )
    	{
		rdostatus = d;	
	}
	
	public int getRdostatus()
    	{	
		return rdostatus;	
	}
	//SET-GET AUTHORITY
	public void setRdoadmin( int d )
    	{
		rdoadmin = d;	
	}
	
	public int getRdoadmin()
    	{	
		return rdoadmin;	
	}
	
	
	public int doStartTag() throws JspException
	{
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null;
		java.sql.ResultSet rs = null;

		output = new StringBuffer();
		k = 0;

		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();
			
				
			//FETCH DOMAIN USERS FROM USERS / DOMAINS TABLE
			
			String column = "";
			String order = "";
			if(sortname.equals("sortnamedesc"))
			{
				column = "U.FirstName";
				order = "desc";
			}
			else if(sortname.equals("sortnameasc"))
			{
				column = "U.FirstName";
				order = "asc";
			}
			else if(sortemail.equals("sortemaildesc"))
			{
				column = "U.Email_UserName";
				order = "desc";
			}
			else if(sortemail.equals("sortemailasc"))
			{
				column = "U.Email_UserName";
				order = "asc";
			}

		if(adminid == 1)
		{
			if(hidshowallbtn.equals("true"))
			{
				
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid+"  order by "+column+" "+order; 	
			}
			else if(txtusername.equals("*") && rdostatus == 0 && rdoadmin == 0)
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid+"  order by "+column+" "+order;
			}
			else if(txtusername.equals("*") && rdostatus != 0 && rdoadmin == 0)
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE U.STATUS="+rdostatus+" AND D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid+"  order by "+column+" "+order;		
			}
			else if(txtusername.equals("*") && rdostatus == 0 && rdoadmin != 0)
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE U.ADMINID="+rdoadmin+" AND D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid +"  order by "+column+" "+order;		
			}
			else if(txtusername.equals("*") && rdostatus != 0 && rdoadmin != 0)
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE U.STATUS="+rdostatus+" AND U.ADMINID="+rdoadmin+" AND D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid +"  order by "+column+" "+order;		
			}
			else if(!txtusername.equals("*") && rdostatus == 0 && rdoadmin == 0)
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE LOWER(U.EMAIL_USERNAME)='"+txtusername.toLowerCase()+"'  AND D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid +"  order by "+column+" "+order;
			}
			else if(!txtusername.equals("*") && rdostatus != 0 && rdoadmin == 0)
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE LOWER(U.EMAIL_USERNAME)='"+txtusername.toLowerCase()+"' AND U.STATUS="+rdostatus+" AND D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid +"  order by "+column+" "+order;		
			}
			else if(!txtusername.equals("*") && rdostatus == 0 && rdoadmin != 0)
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE LOWER(U.EMAIL_USERNAME)='"+txtusername.toLowerCase()+"' AND U.ADMINID="+rdoadmin+" AND D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid +"  order by "+column+" "+order;		
			}
			else 
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE LOWER(U.EMAIL_USERNAME)='"+txtusername.toLowerCase()+"' AND U.STATUS="+rdostatus+" AND U.ADMINID="+rdoadmin+" AND D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid +"  order by "+column+" "+order;		
				
				
			}	
		}	
		else
		{	
			if(hidshowallbtn.equals("true"))
			{
				
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid+" AND ADMINID !=1 order by "+column+" "+order ; 	
			}
			else if(txtusername.equals("*") && rdostatus == 0 && rdoadmin == 0)
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid+" AND ADMINID !=1 order by "+column+" "+order;
			}
			else if(txtusername.equals("*") && rdostatus != 0 && rdoadmin == 0)
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE U.STATUS="+rdostatus+" AND D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid+" AND ADMINID !=1 order by "+column+" "+order;		
			}
			else if(txtusername.equals("*") && rdostatus == 0 && rdoadmin != 0)
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE U.ADMINID="+rdoadmin+" AND D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid +"  order by "+column+" "+order;		
			}
			else if(txtusername.equals("*") && rdostatus != 0 && rdoadmin != 0)
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE U.STATUS="+rdostatus+" AND U.ADMINID="+rdoadmin+" AND D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid +"  order by "+column+" "+order;		
			}
			else if(!txtusername.equals("*") && rdostatus == 0 && rdoadmin == 0)
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE LOWER(U.EMAIL_USERNAME)='"+txtusername.toLowerCase()+"'  AND D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid+" AND ADMINID !=1 order by "+column+" "+order;
			}
			else if(!txtusername.equals("*") && rdostatus != 0 && rdoadmin == 0)
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE LOWER(U.EMAIL_USERNAME)='"+txtusername.toLowerCase()+"' AND U.STATUS="+rdostatus+" AND D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid+" AND ADMINID !=1 order by "+column+" "+order;		
			}
			else if(!txtusername.equals("*") && rdostatus == 0 && rdoadmin != 0)
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE LOWER(U.EMAIL_USERNAME)='"+txtusername.toLowerCase()+"' AND U.ADMINID="+rdoadmin+" AND D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid +"  order by "+column+" "+order;		
			}
			else if(txtusername.equals("*" ))
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE  U.STATUS="+rdostatus+" AND U.ADMINID="+rdoadmin+" AND D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid +"  order by "+column+" "+order;		
			}
			
			else 
			{
				qry = "SELECT U.FirstName,U.LastName,U.Email_UserName,U.Status,U.AdminID,D.DomainName,U.UserID FROM DOMAINS D,USERS U WHERE LOWER(U.EMAIL_USERNAME)='"+txtusername.toLowerCase()+"' AND U.STATUS="+rdostatus+" AND U.ADMINID="+rdoadmin+" AND D.DOMAINID=U.DOMAINID AND U.DOMAINID="+domainid +"  order by "+column+" "+order;		
			}
		}	
			
			rs = stmt.executeQuery( qry );
			if ( rs.next() )
			{
				k++;
				if(noofrec > 0)
				{
					int i = 0;
					do
					{
						FirstName.add ( rs.getString( 1 ) );
						LastName.add(rs.getString( 2 ));
						Email_UserName.add ( rs.getString( 3 ) );
						Status.add ( rs.getString( 4 ) );
						AdminID.add ( rs.getString( 5 ) );
						DomainName.add ( rs.getString( 6 ) );
						UserID.add ( rs.getString( 7 ) );
						i++;
					}
					while(rs.next() && i< noofrec);
				}
				else
				{
					int i = 0;
					int j = 0;
					
								
					while(i<(minimum-1) && rs.next())
					{
						i++;
						k++;
					}	
					do
					{
						FirstName.add ( rs.getString( 1 ) );
						LastName.add(rs.getString( 2 ));
						Email_UserName.add ( rs.getString( 3 ) );
						Status.add ( rs.getString( 4 ) );
						AdminID.add ( rs.getString( 5 ) );
						DomainName.add ( rs.getString( 6 ) );
						UserID.add ( rs.getString( 7 ) );
						j++;
						k++;
					}
					while(rs.next() && j<10);
					while(rs.next())
					{
						k++;
					}
					
				}
					
					
			}
			else
			{
				FirstName.add ("0");
				LastName.add("0");
				Email_UserName.add ("0" );
				Status.add ("0");
				AdminID.add ( "0");
				DomainName.add ( "0");
				UserID.add("0"); 
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch ( Exception ignored ) {System.out.println("Spam Controllar");
			System.out.println(ignored);
			}
		}
		if ( FirstName.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doAfterBody() throws JspTagException
    {
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
                throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < FirstName.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
     }

	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		pageContext.setAttribute( "Expr7", new Integer(k));    
		return EVAL_PAGE;
	}
    
	private void setLoopVariables ()
       {
		pageContext.setAttribute( "FirstName", FirstName.get( index ).toString() );
		pageContext.setAttribute( "LastName", LastName.get( index ).toString() );
		pageContext.setAttribute( "Email_UserName", Email_UserName.get( index ).toString() );
		pageContext.setAttribute( "Status",Status.get( index ).toString() );
		pageContext.setAttribute( "AdminID", AdminID.get( index ).toString() );
	    pageContext.setAttribute( "DomainName", DomainName.get( index ).toString() );
		pageContext.setAttribute( "UserID", UserID.get( index ).toString() );
		
	}
}