/********************************************************************************/
/* Name			:PolicyTemplate.java						*/
/* Copyright	:2003 SATCOMLABS LTD.				*/
/* Team			:Spam Control Team					*/
/* Developer	:Pavan Gupta						*/
/* Last Updated	:10:10 AM 25/12/2003					*/
/* Abstract		:Fetch Keymail Status			*/
/* Called from	:addkeymail.jsp						*/
/* Calls		:							*/
/********************************************************************************/
package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import com.DBConnection;

public class PolicyTemplate extends BodyTagSupport
{
	private java.util.List purposeid = new java.util.LinkedList();
	private java.util.List purpose = new java.util.LinkedList();
	private java.util.List default_type = new java.util.LinkedList();
	private java.util.List default_days	= new java.util.LinkedList();
	private java.util.List default_limit = new java.util.LinkedList();
	private java.util.List default_approvalid = new java.util.LinkedList();
	private java.util.List default_statusid = new java.util.LinkedList();
	private int index;
	private StringBuffer output = null;

	DBConnection dbconn = new DBConnection ();
 	public int doStartTag() throws JspException
    	{
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null;
		java.sql.ResultSet rs = null;

		output = new StringBuffer();

		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();

			//FETCH ALL ALIAS FROM ALIAS TABLE
			qry = "SELECT PURPOSEID,PURPOSE,DEFAULT_TYPE,DEFAULT_DAYS,DEFAULT_LIMIT,DEFAULT_APPROVALID,DEFAULT_STATUSID FROM KEYMAIL_PURPOSE ORDER BY PURPOSEID";
			rs = stmt.executeQuery( qry );
			if ( rs.next() )
			{
					do
					{
						purposeid.add ( rs.getString( 1 ) );
						purpose.add ( rs.getString( 2 ) );
						default_type.add ( rs.getString( 3 ) );
						default_days.add ( rs.getString( 4 ) );
						default_limit.add ( rs.getString( 5 ) );
						default_approvalid.add ( rs.getString( 6 ) );
						default_statusid.add ( rs.getString( 7 ) );
					}
					while( rs.next() );
			}
			else
			{
				purposeid.add ( "0" );
				purpose.add ( "0" );
				default_type.add ( "0" );
				default_days.add ( "0" );
				default_limit.add ( "0" );
				default_approvalid.add ( "0" );
				default_statusid.add ( "0" );
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch ( Exception ignored ) {System.out.println("Spam Controllar");
			System.out.println(ignored);
			}
		}
		if ( purposeid.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doAfterBody() throws JspTagException
    {
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
                throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < purposeid.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
     }

	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		return EVAL_PAGE;
	}
    
	private void setLoopVariables ()
    {
		pageContext.setAttribute( "purposeid", purposeid.get( index ).toString() );
		pageContext.setAttribute( "purpose", purpose.get( index ).toString() );
		pageContext.setAttribute( "default_type", default_type.get( index ).toString() );
		pageContext.setAttribute( "default_days", default_days.get( index ).toString() );
		pageContext.setAttribute( "default_limit", default_limit.get( index ).toString() );
		pageContext.setAttribute( "default_approvalid", default_approvalid.get( index ).toString() );
		pageContext.setAttribute( "default_statusid", default_statusid.get( index ).toString() );
	}
}