/********************************************************************************/
/* Name			:Senders.java													*/
/* Copyright	:2003 SATCOMLABS LTD.											*/
/* Team			:Spam Control Team												*/
/* Developer	:Pava Gupta														*/
/* Last Updated	:10.23 AM 18/12/2003											*/
/* Abstract		:Fetch list from ASL Table										*/
/* Called from	:dashboard														*/
/* Calls		:																*/
/********************************************************************************/
package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import java.util.Date;
import java.text.SimpleDateFormat;
import com.DBConnection;
import com.replace.Replace;

public class Senders extends BodyTagSupport
{
	private int userid = 0;
	private int condition_id = 0;
	private int noofrec = 0; //NUMBER OF RECORD TO BE SHOWN
	private int validate = 0;
	private String searchtext = "";
	private String order = "";
	private String column = "";

	public int minimum = 0;		

	private java.util.List aslid = new java.util.LinkedList();
	private java.util.List mailerid = new java.util.LinkedList();
	private java.util.List mailerdomain = new java.util.LinkedList();
	private java.util.List dateofentry = new java.util.LinkedList();
	private java.util.List conditionid = new java.util.LinkedList();
	private java.util.List approvalid = new java.util.LinkedList();
	private java.util.List countasl = new java.util.LinkedList();
	private int index;
	private StringBuffer output = null;

	Replace rep = new Replace ();
	DBConnection dbconn = new DBConnection ();

	public void setMinimum( int d )
    {
		minimum = d;	
	}
	public int getMinimum()
    {	
		return minimum;	
	}
 
	// GET-SET METHOD FOR USER ID
	public int getUserid ()
    {	
		return userid;	
	}
    public void setUserid( int newuserid )
    {
		this.userid = newuserid;	
	}

	// GET-SET METHOD FOR CONDITION ID
	public int getCondition_id ()
    {	
		return condition_id;	
	}
    public void setCondition_id( int newcondition_id )
    {
		this.condition_id = newcondition_id;	
	}

	// GET-SET METHOD FOR NUMBER OF RECORDS
	public int getNoofrec ()
    {	
		return noofrec;	
	}
    public void setNoofrec( int newnoofrec )
    {
		this.noofrec = newnoofrec;	
	}

	// GET-SET METHOD FOR VALIDATION TYPE
	public int getValidate ()
    {	
		return validate;	
	}
    public void setValidate( int newvalidate )
    {
		this.validate = newvalidate;	
	}

	// GET-SET METHOD FOR SEARCH TEXT
	public String getSearchtext ()
    {	
		return searchtext;	
	}
    public void setSearchtext( String newsearchtext )
    {
		this.searchtext = newsearchtext;	
	}

	// GET-SET METHOD FOR ORDER OF RECORDS (ASCENDING/ DESCENDING)
	public String getOrder ()
    {	
		return order;	
	}
    public void setOrder( String neworder )
    {
		this.order = neworder;	
	}

	// GET-SET METHOD FOR COLUMN NAME TO BE SORT
	public String getColumn ()
    {	
		return column;	
	}
    public void setColumn( String newcolumn )
    {
		this.column = newcolumn;	
	}

	public int doStartTag() throws JspException
	{
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null;
		java.sql.ResultSet rs = null;
		java.sql.ResultSet rscount = null;

		output = new StringBuffer();

		searchtext = rep.replaceBy ( searchtext, "'", "''" );

		String qry = null;
		String qrycount = null;
		String total_count = "";

		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();
				
			//FETCH INFORMATION FROM ASL TABLE
			if(searchtext.equals("*") || searchtext.equals("") || searchtext == null)
			{
				if (validate == 1 && condition_id == 1)
				{
					qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(CR_DATE,'dd/MM/yyyy hh:mi:ss AM'), CONDITIONID, APPROVALID FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND CR_DATE IS NOT NULL ORDER BY "+column+" "+order;
					
					qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND CR_DATE IS NOT NULL";
				}
				else if (validate == 0 && condition_id == 1)
				{
					qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'dd/MM/yyyy hh:mi:ss AM'), CONDITIONID, APPROVALID FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" and CR_DATE IS NULL ORDER BY "+column+" "+order;
					
					qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" and CR_DATE IS NULL";
				}
				else
				{
					qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'dd/MM/yyyy hh:mi:ss AM'), CONDITIONID, APPROVALID FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" ORDER BY "+column+" "+order;
					
					qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id;
				}
			}

			else 
			{
				if (validate == 1 && condition_id == 1)
				{
					qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(CR_DATE,'dd/MM/yyyy hh:mi:ss AM'), CONDITIONID, APPROVALID FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND CR_DATE IS NOT NULL AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' ORDER BY "+column+" "+order;
					
					qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND CR_DATE IS NOT NULL AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%'";
				}
				else if (validate == 0 && condition_id == 1)
				{
					qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'dd/MM/yyyy hh:mi:ss AM'), CONDITIONID, APPROVALID FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" and CR_DATE IS NULL AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' ORDER BY "+column+" "+order;
					
					qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" and CR_DATE IS NULL AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%'";
				}
				else
				{
					qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'dd/MM/yyyy hh:mi:ss AM'), CONDITIONID, APPROVALID FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' ORDER BY "+column+" "+order;
					
					qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%'";
				}
			}

			rscount =stmt.executeQuery(qrycount);
			if(rscount.next())
			{
				total_count = rscount.getString( 1 );
			}
		
			rs = stmt.executeQuery( qry );
			if ( rs.next() )
			{
				if(noofrec > 0)
				{
					int i = 0;
					do
					{
						aslid.add ( rs.getString( 1 ) );
						mailerid.add ( rs.getString( 2 ) );
						mailerdomain.add ( rs.getString( 3 ) );
						dateofentry.add ( rs.getString( 4 ) );
						conditionid.add ( rs.getString( 5 ) );
						approvalid.add ( rs.getString( 6 ) );
						countasl.add(total_count);
						i++;
					}
					while( rs.next() && i< noofrec);
				}
				else
				{
					int i = 0;
					int j = 0;

					while(i<(minimum-1) && rs.next())
					{
						i++;
					}	
					do
					{
						aslid.add ( rs.getString( 1 ) );
						mailerid.add ( rs.getString( 2 ) );
						mailerdomain.add ( rs.getString( 3 ) );
						dateofentry.add ( rs.getString( 4 ) );
						conditionid.add ( rs.getString( 5 ) );
						approvalid.add ( rs.getString( 6 ) );
						countasl.add(total_count);
						j++;
					}
					while(rs.next() && j<10);
				}
			}
			else
			{
				aslid.add ( "0" );
				mailerid.add ( "0" );
				mailerdomain.add ( "0" );
				dateofentry.add ( "0" );
				conditionid.add ( "0" );
				approvalid.add ( "0" );
				countasl.add("0");
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch ( Exception ignored ) {System.out.println("Spam Controllar");
			System.out.println(ignored);
			}
		}
		if ( aslid.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doAfterBody() throws JspTagException
    {
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
                throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < aslid.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
     }

	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		//pageContext.setAttribute( "usercount", new Integer(k));  
		return EVAL_PAGE;
	}
    
	private void setLoopVariables ()
    {
		pageContext.setAttribute( "aslid", aslid.get( index ).toString() );
		pageContext.setAttribute( "mailerid", mailerid.get( index ).toString() );
		pageContext.setAttribute( "mailerdomain", mailerdomain.get( index ).toString() );
		pageContext.setAttribute( "dateofentry", dateofentry.get( index ).toString() );
		pageContext.setAttribute( "conditionid", conditionid.get( index ).toString() );
		pageContext.setAttribute( "approvalid", approvalid.get( index ).toString() );
		pageContext.setAttribute( "countasl", countasl.get( index ).toString() );
	}
}