/********************************************************************************/
/* Name			:ServerCustomView.java											*/
/* Copyright	:2003 SATCOMLABS LTD.											*/
/* Team			:Spam Control Team												*/
/* Developer	:Pavan Gupta													*/
/* Last Updated	: AM 05/02/2004													*/
/* Abstract		:																*/
/* Called from	:servercustomview.jsp											*/
/* Calls		:																*/
/********************************************************************************/

package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
import com.replace.Replace;

import com.DBConnection;

public class ServerCustomView extends BodyTagSupport
{
	private int approval_id = 0;
	private int condition_id = 0;
	private int noofrec = 0; //NUMBER OF RECORD TO BE SHOWN
	private String searchtext = "";
	private String afterdate = "";
	private String beforedate = "";
	private String order = "";
	private String column = "";
	public String dateFormat = "";
	public String DD = "";
	public String MM = "";
	public String YYYY = "";

	SimpleDateFormat sdf = new SimpleDateFormat("MM/dd/yyyy");

	public int minimum = 0;	

	private java.util.List aslid = new java.util.LinkedList();
	private java.util.List mailerid = new java.util.LinkedList();
	private java.util.List mailerdomain = new java.util.LinkedList();
	private java.util.List dateofentry = new java.util.LinkedList();
	private java.util.List conditionid = new java.util.LinkedList();
	private java.util.List approvalid = new java.util.LinkedList();
	private java.util.List countasl = new java.util.LinkedList();
	private int index;
	private StringBuffer output = null;

	Replace rep = new Replace ();
	DBConnection dbconn = new DBConnection ();

	public void setMinimum( int d )
    {
		minimum = d;	
	}
	public int getMinimum()
    {	
		return minimum;	
	}

	// GET-SET METHOD FOR APPROVAL ID
	public int getApproval_id ()
	{	
		return approval_id;	
	}
    public void setApproval_id( int s )
    {
		approval_id = s;	
	}
	
	// GET-SET METHOD FOR CONDITION ID
	public int getCondition_id ()
	{	
		return condition_id;	
	}
    public void setCondition_id( int s )
    {
		condition_id = s;	
	}

	// GET-SET METHOD FOR NUMBER OF RECORDS
	public int getNoofrec ()
    {	
		return noofrec;	
	}
    public void setNoofrec( int s )
    {
		this.noofrec = s;	
	}

	// GET-SET METHOD FOR SEARCH TEXT
	public String getSearchtext ()
    {	
		return searchtext;	
	}
    public void setSearchtext( String s )
    {
		this.searchtext = s;	
	}

	// GET-SET METHOD FOR AFTER DATE
	public String getAfterdate ()
    {	
		return afterdate;	
	}
    public void setAfterdate( String s )
    {
		//this.afterdate = dateformat.format(new java.util.Date(s));
		this.afterdate = s;
	}

	// GET-SET METHOD FOR BEFORE DATE
	public String getBeforedate ()
    {	
		return beforedate;	
	}
    public void setBeforedate( String s )
    {
		//this.beforedate = dateformat.format(new java.util.Date(s));	
		this.beforedate = s;

	}

	// GET-SET METHOD FOR ORDER OF RECORDS (ASCENDING/ DESCENDING)
	public String getOrder ()
    {	
		return order;	
	}
    public void setOrder( String neworder )
    {
		this.order = neworder;	
	}

	// GET-SET METHOD FOR COLUMN NAME TO BE SORT
	public String getColumn ()
    {	
		return column;	
	}
    public void setColumn( String newcolumn )
    {
		this.column = newcolumn;	
	}

	public int doStartTag() throws JspException
    {
		Connection conn = null;
		Statement stmt = null;
		Statement stmt_dformat = null;
		ResultSet rs = null;
		ResultSet rscount = null;
		ResultSet rs_dformat = null;
		
		output = new StringBuffer();

		searchtext = rep.replaceBy ( searchtext, "'", "''" );

		String qry = null;
		String qrycount = null;
		String total_count = "";
		try 
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();
			stmt_dformat = conn.createStatement();

			///Adding code to get User Define Date format
			rs_dformat = stmt_dformat.executeQuery("select date_format from admindefaults");
			rs_dformat.next();
			dateFormat = rs_dformat.getString("date_format");
			rs_dformat.close();
			stmt_dformat.close();
			//End of Date format code now dateFormat is replaced in the query

			/********************************** Formating afterdate and beforedate acording to date format*/
			if(dateFormat.equals("DD/MM/YYYY")  || dateFormat.equals("YYYY/MM/DD"))
			{
				DD = afterdate.substring(0,afterdate.indexOf("/"));
				MM = afterdate.substring(afterdate.indexOf("/")+1,afterdate.lastIndexOf("/"));
				YYYY = afterdate.substring(afterdate.lastIndexOf("/")+1,afterdate.length());
				afterdate = MM+"/"+DD+"/"+YYYY;
				DD = beforedate.substring(0,beforedate.indexOf("/"));
				MM = beforedate.substring(beforedate.indexOf("/")+1,beforedate.lastIndexOf("/"));
				YYYY = beforedate.substring(beforedate.lastIndexOf("/")+1,beforedate.length());
				beforedate = MM+"/"+DD+"/"+YYYY;
			}
			else
			{
				afterdate = sdf.format(new java.util.Date(afterdate));
				beforedate = sdf.format(new java.util.Date(beforedate));
			}
			/************************************/

			//Removing * from search text for query (%)
			if(searchtext.indexOf("*") != -1)
			searchtext = searchtext.substring(0,searchtext.indexOf("*"));

			if(searchtext.equals("*") || searchtext.equals("") || searchtext == null)
			{
				if(condition_id == 0)
				{
					if(approval_id == 0)
					{
						qry = "SELECT ADMINASLID, MAILERID, MAILERDOMAIN, to_char(DATE_INSERSION,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID FROM ADMINASL WHERE DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;

						qrycount = "SELECT COUNT(*) FROM ADMINASL WHERE DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
					}
					else
					{
						qry = "SELECT ADMINASLID, MAILERID, MAILERDOMAIN, to_char(DATE_INSERSION,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID FROM ADMINASL WHERE APPROVALID="+approval_id+" AND DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;

						qrycount = "SELECT COUNT(*) FROM ADMINASL WHERE APPROVALID="+approval_id+" AND DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
					}
				}
				else
				{
					if(approval_id == 0)
					{
						qry = "SELECT ADMINASLID, MAILERID, MAILERDOMAIN, to_char(DATE_INSERSION,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID FROM ADMINASL WHERE CONDITIONID="+condition_id+" AND DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;

						qrycount = "SELECT COUNT(*) FROM ADMINASL WHERE CONDITIONID="+condition_id+" AND DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
					}
					else
					{
						qry = "SELECT ADMINASLID, MAILERID, MAILERDOMAIN, to_char(DATE_INSERSION,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID FROM ADMINASL WHERE CONDITIONID="+condition_id+" AND APPROVALID="+approval_id+" AND DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;

						qrycount = "SELECT COUNT(*) FROM ADMINASL WHERE CONDITIONID="+condition_id+" AND APPROVALID="+approval_id+" AND DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
					}
				}
			}
			else
			{
				if(condition_id == 0)
				{
					if(approval_id == 0)
					{
						qry = "SELECT ADMINASLID, MAILERID, MAILERDOMAIN, to_char(DATE_INSERSION,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID FROM ADMINASL WHERE LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;

						qrycount = "SELECT COUNT(*) FROM ADMINASL WHERE LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
					}
					else
					{
						qry = "SELECT ADMINASLID, MAILERID, MAILERDOMAIN, to_char(DATE_INSERSION,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID FROM ADMINASL WHERE LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND APPROVALID="+approval_id+" AND DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;

						qrycount = "SELECT COUNT(*) FROM ADMINASL WHERE MAILERID LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND APPROVALID="+approval_id+" AND DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
					}
				}
				else
				{
					if(approval_id == 0)
					{
						qry = "SELECT ADMINASLID, MAILERID, MAILERDOMAIN, to_char(DATE_INSERSION,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID FROM ADMINASL WHERE LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND CONDITIONID="+condition_id+" AND DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;

						qrycount = "SELECT COUNT(*) FROM ADMINASL WHERE LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND CONDITIONID="+condition_id+" AND DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
					}
					else
					{
						qry = "SELECT ADMINASLID, MAILERID, MAILERDOMAIN, to_char(DATE_INSERSION,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID FROM ADMINASL WHERE LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND CONDITIONID="+condition_id+" AND APPROVALID="+approval_id+" AND DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;

						qrycount = "SELECT COUNT(*) FROM ADMINASL WHERE LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND CONDITIONID="+condition_id+" AND APPROVALID="+approval_id+" AND DATE_INSERSION BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
					}
				}

			}

			rscount =stmt.executeQuery(qrycount);
			if(rscount.next())
			{
				total_count = rscount.getString( 1 );
			}

			rs = stmt.executeQuery( qry );
			if ( rs.next() )
			{
				if(noofrec > 0)
				{
					int i = 0;
					do
					{
						aslid.add ( rs.getString( 1 ) );
						mailerid.add ( rs.getString( 2 ) );
						mailerdomain.add ( rs.getString( 3 ) );
						dateofentry.add ( rs.getString( 4 ) );
						conditionid.add ( rs.getString( 5 ) );
						approvalid.add ( rs.getString( 6 ) );
						countasl.add(total_count);
						i++;
					}
					while( rs.next() && i< noofrec);
				}
				else
				{
					int i = 0;
					int j = 0;

					while(i<(minimum-1) && rs.next())
					{
						i++;
					}
					do
					{
						aslid.add ( rs.getString( 1 ) );
						mailerid.add ( rs.getString( 2 ) );
						mailerdomain.add ( rs.getString( 3 ) );
						dateofentry.add ( rs.getString( 4 ) );
						conditionid.add ( rs.getString( 5 ) );
						approvalid.add ( rs.getString( 6 ) );
						countasl.add(total_count);
						j++;
					}
					while(rs.next() && j<10);
				}
			}
			else
			{
				aslid.add ( "0" );
				mailerid.add ( "0" );
				mailerdomain.add ( "0" );
				dateofentry.add ( "0" );
				conditionid.add ( "0" );
				approvalid.add ( "0" );
				countasl.add("0");
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch ( Exception ignored ) {System.out.println("Spam Controllar");
			System.out.println(ignored);
			}
		}
		if ( aslid.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doAfterBody() throws JspTagException
    {
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
                throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < aslid.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
     }

	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		return EVAL_PAGE;
	}
    
	private void setLoopVariables ()
    {
		pageContext.setAttribute( "aslid", aslid.get( index ).toString() );
		pageContext.setAttribute( "mailerid", mailerid.get( index ).toString() );
		pageContext.setAttribute( "mailerdomain", mailerdomain.get( index ).toString() );
		pageContext.setAttribute( "dateofentry", dateofentry.get( index ).toString() );
		pageContext.setAttribute( "conditionid", conditionid.get( index ).toString() );
		pageContext.setAttribute( "approvalid", approvalid.get( index ).toString() );
		pageContext.setAttribute( "countasl", countasl.get( index ).toString() );
	}
}