<%
/********************************************************************************/
/* Name			: viewdomainusers.jsp											*/
/* Copyright	: 2003 SATCOMLABS LTD.				    						*/
/* Team			: Spam Control Team												*/
/* Developer	: Amit Kumar													*/
/* Last Updated	: 																*/	
/* Abstract		: Displays All Domian Users										*/
/* Called from	:																*/			
/* Calls		:																*/
/********************************************************************************/
%>

<%@ taglib prefix="domain" uri="/WEB-INF/TLDS/domain.tld" %>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<%@ taglib prefix="utility" uri="/WEB-INF/TLDS/utility.tld" %>
<jsp:useBean id = "domainmainid" scope = "session" class = "com.antispam.DomainSettings" />
<%
int userid = validate.getUserid();
int adminid = validate.getAdminid();
int NumRec = 10;
if (userid==0 || adminid > 2)
{
        response.sendRedirect("dashboardlogin.jsp");
}
int dusersminpage = 0;
int dusersmin = 1;
int dusersminimum = 1;

if(request.getParameter("hiddusersminpage") != null)
	dusersminpage = Integer.parseInt(request.getParameter("hiddusersminpage"));
if(request.getParameter("hiddusersmin") != null)
	dusersmin = Integer.parseInt(request.getParameter("hiddusersmin"));
if(request.getParameter("hiddusersminimum") != null && !request.getParameter("hiddusersminimum").equals("") )
		dusersminimum = Integer.parseInt(request.getParameter("hiddusersminimum"));

int logindomainid = validate.getDomainid();
int domainid = 0;
int tempdomainid = validate.getTempdomainid();
if(tempdomainid == 0)
	domainid = logindomainid;
else
	domainid = tempdomainid;

	domainmainid.setHiddomainid(domainid);
	domainmainid.registered();
	String user_reg = domainmainid.getRadRegistration();
	if(user_reg == null)
		user_reg = "";

int i=0;
int incr = 0;
int noofrec=0;

String message = "";
if(request.getParameter("msg") != null )
	message = request.getParameter("msg");
else
	message = "";

String email = "*";
String flag = "false";
String showallbtn = "false";
String srtname = "sortnamedesc";
String srtemail = "";
String btn = "true";

int stat = 0;
int authority = 0;

if(request.getParameter("hidflag")!= null)
	flag = request.getParameter("hidflag");
if(request.getParameter("txtusername") !=null)
	email = request.getParameter("txtusername");
if(request.getParameter("rdostatus") != null)
	stat = Integer.parseInt(request.getParameter("rdostatus"));
if(request.getParameter("rdoadmin") != null)
	authority = Integer.parseInt(request.getParameter("rdoadmin"));

if(request.getParameter("hidsortname")!= null)
	srtname = request.getParameter("hidsortname");

if(request.getParameter("hidsortemail")!= null)
	srtemail = request.getParameter("hidsortemail");

if(request.getParameter("hidshowallbtn")!= null && !request.getParameter("hidshowallbtn").equals(""))
{
	showallbtn = request.getParameter("hidshowallbtn");
	stat=0;
	authority=0;
}

if(request.getParameter("txtNumRec")!=null)
	NumRec = Integer.parseInt(request.getParameter("txtNumRec"));
%>
<HTML>
	<HEAD>
		<TITLE>View All Domain Users</TITLE>
		<LINK href="stylesheets/display_control.css" rel=stylesheet type=text/css>
	</HEAD>
	<SCRIPT language=javascript src="scripts/WebUIValidation.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validate.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/validations.js"></SCRIPT>

	<script>
		//FUNCTION TO CHECK USER PERSONA
		function userPersona(userid)
		{
			if(userid == '<%=userid%>')
				location.href = "usermain.jsp?userid="+userid;
			else
			{
				var persona = confirm("You will assume the persona of this user.Any subsequent edits to the Whitelist,Keymails or alias will be for this user only.Are you sure you wish to proceed? ");

				if(persona == true)
					location.href = "usermain.jsp?userid="+userid;
			}
		}

		var flag='<%=flag%>';

		//FUNCTION TO SEARCH THE RECORDS
		function chksearch( id,btn,hide)
		{
			document.frmviewusers.hiddusersminpage.value=0;
			document.frmviewusers.hiddusersmin.value=1;
			document.frmviewusers.hiddusersminimum.value=1;
			document.frmviewusers.txtusername.value=trim(document.frmviewusers.txtusername.value);
			document.frmviewusers.hidflag.value="true";
			var obj = document.all( id );

			if(flag=="true")
			{
				var hideobj = document.all('hide')
				hideobj.style.display="";
			}
			if(btn==1)
			{
				//document.frmviewusers.hidshowallbtn.value="false";
				if(document.frmviewusers.txtusername.value=="")
				{
					alert("Enter Your User Name");
					document.frmviewusers.txtusername.focus();
				}
				else if(spcharvalidate(document.frmviewusers.txtusername.value,"*")==true)
				{
					alert("Speacial character found");
					document.frmviewusers.txtusername.focus();
				}	
			   else
				{
					obj.style.display="";
					document.frmviewusers.action="viewdomainusers.jsp";
					document.frmviewusers.submit(); 
				}
			}
			else if(btn==2)
			{
				
				document.frmviewusers.hidshowallbtn.value="true";
				//document.frmviewusers.hidbtn.value="false";
				
				document.frmviewusers.action="viewdomainusers.jsp";
				document.frmviewusers.submit(); 
			}
		}

		//FUNCTION TO DELETE RECORDS
		function fundelete()
		{
			document.frmviewusers.hidflag.value="true";
			chkdel = document.frmviewusers.chkdelete;
			
			document.frmviewusers.hidbtn.value="delete";
			document.frmviewusers.hidshowallbtn.value='<%=showallbtn%>';
			var flag=false;
			records = document.frmviewusers.totrecord.value;
			
			if(records == 0)
				alert ("No Record To Delete");
			else
			{
				if(records == 1)
				{
					if(chkdel.checked == 1)
						flag=true;
				}
				else if(records > 1)
				{
					if(chkdel.length == undefined)	
					{
						if(chkdel.checked == 1)
						{
							flag=true;
						}
						
						
					}
					else
					{	
						for(var i=0;i<chkdel.length;i++)
							{
								if(chkdel[i].checked == 1)
								{
									flag=true;
									break;
								}
							}
					}
				}
				if(flag==false)
					alert("Please check at least one record");
				else
				{
					document.frmviewusers.action="interviewdomainusers.jsp";
					document.frmviewusers.submit();
				}
						
			}
		}

		//FUNCTION TO SAVE RECORDS
		function funsave()
		{
			document.frmviewusers.hidbtn.value="save";
			document.frmviewusers.hidflag.value="true";
			document.frmviewusers.hidshowallbtn.value='<%=showallbtn%>';

			
			records = document.frmviewusers.totrecord.value;

			if(records == 0)
				alert ("No Record To Update");
			else
			{
				document.frmviewusers.action="interviewdomainusers.jsp";
				document.frmviewusers.submit();	
			}
		}

		//FUNCTION TO SORT DATA NAME WISE
		function sortname(id)
		{
			
			if(id == "sortnameasc")
			{
				document.frmviewusers.hidsortname.value="sortnameasc";
				document.frmviewusers.hidsortemail.value="";
				document.frmviewusers.action="viewdomainusers.jsp";
				document.frmviewusers.submit();
			}
			else
			{
				document.frmviewusers.hidsortname.value="sortnamedesc";
				document.frmviewusers.hidsortemail.value="";
				document.frmviewusers.action="viewdomainusers.jsp";
				document.frmviewusers.submit();
			}
		}

		//FUNCTION TO SORT DATE EMAIL ADDRESS WISE
		function sortemail(id)
		{
			if(id == "sortemailasc")
			{
				document.frmviewusers.hidsortemail.value="sortemailasc";
				document.frmviewusers.hidsortname.value="";
				document.frmviewusers.action="viewdomainusers.jsp";
				document.frmviewusers.submit();
			}
			else
			{
				document.frmviewusers.hidsortemail.value="sortemaildesc";
				document.frmviewusers.hidsortname.value="";
				document.frmviewusers.action="viewdomainusers.jsp";
				document.frmviewusers.submit();
			}
		}

		//FUNCTION TO SHOW HOW MANY PAGE LINKS ARE TO BE DISPLAYED 
		function changePage(pageno,min,pagingtype)
		{

			document.frmviewusers.hiddusersminpage.value=pageno;
			document.frmviewusers.hiddusersmin.value=min;
			document.frmviewusers.hiddusersminimum.value=min;
			document.frmviewusers.action="viewdomainusers.jsp";
			document.frmviewusers.submit();
		}

		// FUNCTION TO SHOW DATA FOR PARTICULAR PAGE LINK
		function Page(min,max,pagingtype)
		{
			document.frmviewusers.hiddusersminimum.value=min;
			document.frmviewusers.hidNumRec.value=10;
			document.frmviewusers.action="viewdomainusers.jsp";
			document.frmviewusers.submit();
		}

		function funload()
		{
			document.frmviewusers.btnsearch.focus();
		}
	</script>

	<BODY onload="funload()">

		<FORM  language=javascript method=post name=frmviewusers>
			<INPUT type="hidden" name="hidflag">
			<INPUT type="hidden" name="hidbtn">
			<INPUT type="hidden" name="hidshowallbtn">
			<INPUT type="hidden" name="hidsortname" value="<%=srtname%>">
			<INPUT type="hidden" name="hidsortemail" value="<%=srtemail%>">
			<INPUT type="hidden" name="hidstat">
			<INPUT type="hidden" name="hidauthority">
			<INPUT type="hidden" name="hiddusersminpage" value="<%=dusersminpage%>">
			<INPUT type="hidden" name="hiddusersmin" value="<%=dusersmin%>">
			<INPUT type="hidden" name="hiddusersminimum" value="<%=dusersminimum%>">
			<INPUT type="hidden" name="hidNumRec" value="<%=NumRec%>">

			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><font face="Verdana"><img border="0" src="images/img.gif" width="470" height="48"></font></TD>
														<TD align=right vAlign=top width="48%"><font face="Verdana"><IMG src="images/topbar-right.gif" width="229" height="48"></font></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG height=1 src="Domain Settings_files/1x1.gif" width=1></TD>
									</TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
													<!-- FOR SERVER ADMINISTRATOR ADMINID = 1 -->
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="usermain.jsp">User</TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header_active id=TopBanner_Panel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="servermain.jsp">Server</TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
													<!-- FOR DOMAIN ADMINISTRATOR ADMINID = 2 -->
													<% } else if (adminid == 2) { %>
														<TD align=left vAlign=bottom width="33%">
														<DIV class=header id=TopBanner_UserPanel>
														<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
														<TBODY>
														<TR>
														<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
														<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href="usermain.jsp">User</A></TD>
														<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
														</TR>
														</TBODY>
														</TABLE>
														</DIV>
														</TD>
														<TD width="33%">
														<DIV class=header_active id=TopBanner_DomainPanel>
														<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
														<TBODY>
														<TR>
														<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
														<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
														<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
														</TR>
														</TBODY>
														</TABLE>
														</DIV>
														</TD>
														<TD width="34%"></TD>
													<% }  %>
													</TR>    
													<TR>
														<TD colSpan=3>
															<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=blanktd>
																		<TD width="90%">Working in Domain: <domain:domaininfo domain_id="<%= domainid %>" /></TD>
																		<TD align=right width="10%"><A class=gridrowlink href="#?" onclick="openHelp('help/DomainViewAllUserHelp.htm')" style="FONT-WEIGHT: bold"><font face="Verdana">Help</font></A><font face="Verdana">&nbsp;</font></TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for Domain Admin-->
							<% if (user_reg.equals("tempid")) { %>
							<domain:domainmenutemp showCurrPage="4"></domain:domainmenutemp>
						<% } else { %>
							<domain:domainmenu showCurrPage="4"></domain:domainmenu>
						<% } %>
						</TD>
						<TD align=middle vAlign=top><!--Main Section-->
							<TABLE border=0 cellPadding=0 cellSpacing=2 width="100%">
								<TBODY>
									<TR>
										<TD>
											<TABLE border=0 cellPadding=0 cellSpacing=0 id=Table1 width="100%">
												<TBODY>
													<TR class=2nd_grid_head>
														<TD align=left colSpan=2 height=16 width="100%">
															<P align=center><font face="Verdana">Search Users in this Domain</font> </P>
														</TD>
													</TR>
													<TR class=general_tr>
														<TD width="30%"><font face="Verdana">Email Address</font></TD>
														<TD width="70%"><font face="Verdana">
															<INPUT class=textinpt id=txtEmail maxLength=50 name=txtusername value='<%=email%>' size="20"><b>@<domain:domaininfo domain_id="<%= domainid %>" /></b></font>
														</TD>
													</TR>
													<TR class=general_tr>
														<TD width="30%"><font face="Verdana">Status</font></TD>
															<TD width="70%">
																<TABLE border=0 cellPadding=0 cellSpacing=0 id=rdoStatus style="BORDER-COLLAPSE: collapse; FONT-SIZE: 100%; ">
																	<TBODY>
<%
																	if(stat==0)  //ANY STATUS
																	{
%>
																		<TR>
																			<TD><font face="Verdana"><INPUT CHECKED id=rdoStatus_0 name=rdostatus type=radio value=0><LABEL for=rdoStatus_0>Any</LABEL></font></TD>				
																			<TD><font face="Verdana"><INPUT id=rdoStatus_1 name=rdostatus type=radio value=1><LABEL for=rdoStatus_1>Active</LABEL></font></TD>           
																			<TD><font face="Verdana"><INPUT id=rdoStatus_2 name=rdostatus type=radio value=2><LABEL for=rdoStatus_2>Passive</LABEL></font></TD>
																			<TD><font face="Verdana"><INPUT id=rdoStatus_3 name=rdostatus type=radio value=3><LABEL for=rdoStatus_3>Silent</LABEL></font></TD> 
																			<TD>
																			<font face="Verdana"><INPUT  id=rdoStatus_4 name=rdostatus type=radio value=4><LABEL for=rdoStatus_4>Pass Through</LABEL></font></TD>
																			<TD>
																			<TD><font face="Verdana"><INPUT  id=rdoStatus_5 name=rdostatus type=radio value=5><LABEL for=rdoStatus_4>Greylist</LABEL></font></TD>
																		</TR>
											
<%
																	}                                    else if(stat==1) //ACTIVE STATUS
																	{
%>
																		<TR>
																			<TD><font face="Verdana"><INPUT  id=rdoStatus_0 name=rdostatus type=radio value=0><LABEL for=rdoStatus_0>Any</LABEL></font></TD>                                       <TD><font face="Verdana"><INPUT  checked id=rdoStatus_1 name=rdostatus type=radio value=1><LABEL for=rdoStatus_1>Active</LABEL></font></TD>             <TD><font face="Verdana"><INPUT id=rdoStatus_2 name=rdostatus type=radio value=2><LABEL for=rdoStatus2>Passive</LABEL></font></TD>
																			<TD><font face="Verdana"><INPUT id=rdoStatus_3 name=rdostatus type=radio value=3><LABEL for=rdoStatus_3>Silent</LABEL></font></TD> 
																			<TD>
																			<font face="Verdana"><INPUT  id=rdoStatus_4 name=rdostatus type=radio value=4><LABEL for=rdoStatus_4>Pass Through</LABEL></font></TD>
																			<TD>
																			<TD><font face="Verdana"><INPUT  id=rdoStatus_5 name=rdostatus type=radio value=5><LABEL for=rdoStatus_5>Greylist</LABEL></font></TD>  
																		</TR>
											
<%
																	}
																	else if(stat==2) //PASSIVE STATUS
																	{
%>
																		<TR>
																			<TD><font face="Verdana"><INPUT id=rdoStatus_0 name=rdostatus type=radio value=0><LABEL for=rdoStatus_0>Any</LABEL></font></TD>
																			
																			<TD><font face="Verdana"><INPUT  id=rdoStatus_1 name=rdostatus type=radio value=1><LABEL for=rdoStatus_1>Active</LABEL></font></TD>                 
																			<TD><font face="Verdana"><INPUT checked id=rdoStatus_2 name=rdostatus type=radio value=2><LABEL for=rdoStatus_2>Passive</LABEL></font></TD>
																			<TD><font face="Verdana"><INPUT id=rdoStatus_3 name=rdostatus type=radio value=3><LABEL for=rdoStatus_3>Silent</LABEL></font></TD>
																			<TD>
																			<font face="Verdana"><INPUT  id=rdoStatus_4 name=rdostatus type=radio value=4><LABEL for=rdoStatus_4>Pass Through</LABEL></font></TD>
																			<TD>
																			<TD><font face="Verdana"><INPUT  id=rdoStatus_5 name=rdostatus type=radio value=5><LABEL for=rdoStatus_5>Greylist</LABEL></font></TD>  
																		</TR>	
<%
																	}
																	else if(stat==3) // SILENT STATUS
																	{
%>
																		</TR>
																			<TD><font face="Verdana"><INPUT id=rdoStatus_0 name=rdostatus type=radio value=0><LABEL for=rdoStatus_0>Any</LABEL></font></TD>
																			
																			<TD><font face="Verdana"><INPUT id=rdoStatus_1 name=rdostatus type=radio value=1><LABEL for=rdoStatus_1>Active</LABEL></font></TD>
																			<TD><font face="Verdana"><INPUT  id=rdoStatus_2 name=rdostatus type=radio value=2><LABEL for=rdoStatus_2>Passive</LABEL></font></TD>
																			<TD><font face="Verdana"><INPUT checked id=rdoStatus_3 name=rdostatus type=radio value=3><LABEL for=rdoStatus_3>Silent</LABEL></font></TD> 
																			<TD>
																			<font face="Verdana"><INPUT  id=rdoStatus_4 name=rdostatus type=radio value=4><LABEL for=rdoStatus_4>Pass Through</LABEL></font></TD>
																			<TD>
																			<TD><font face="Verdana"><INPUT  id=rdoStatus_5 name=rdostatus type=radio value=5><LABEL for=rdoStatus_5>Greylist</LABEL></font></TD>
																		</TR>
<%
																	}
																	else if(stat==4) // PASS THROUGH STATUS
																	{
%>
																		</TR>
																			<TD><font face="Verdana"><INPUT id=rdoStatus_0 name=rdostatus type=radio value=0><LABEL for=rdoStatus_0>Any</LABEL></font></TD>
																			
																			<TD><font face="Verdana"><INPUT id=rdoStatus_1 name=rdostatus type=radio value=1><LABEL for=rdoStatus_1>Active</LABEL></font></TD>
																			<TD><font face="Verdana"><INPUT  id=rdoStatus_2 name=rdostatus type=radio value=2><LABEL for=rdoStatus_2>Passive</LABEL></font></TD>
																			<TD><font face="Verdana"><INPUT id=rdoStatus_3 name=rdostatus type=radio value=3><LABEL for=rdoStatus_3>Silent</LABEL></font></TD>
																			<TD>
																			<font face="Verdana"><INPUT checked  id=rdoStatus_4 name=rdostatus type=radio value=4><LABEL for=rdoStatus_4>Pass Through</LABEL></font></TD>
																			<TD>
																			<font face="Verdana"><INPUT  id=rdoStatus_5 name=rdostatus type=radio value=5><LABEL for=rdoStatus_5>Greylist</LABEL></font></TD>
																		</TR>           																		
																<%
																	}
																	else if(stat==5)  //GREYLIST STATUS
																	{                                                                       %>
																		</TR>
																			<TD><font face="Verdana"><INPUT id=rdoStatus_0 name=rdostatus type=radio value=0><LABEL for=rdoStatus_0>Any</LABEL></font></TD>
																			
																			<TD><font face="Verdana"><INPUT id=rdoStatus_1 name=rdostatus type=radio value=1><LABEL for=rdoStatus_1>Active</LABEL></font></TD>
																			<TD><font face="Verdana"><INPUT id=rdoStatus_2 name=rdostatus type=radio value=2><LABEL for=rdoStatus_2>Passive</LABEL></font></TD>
																			<TD><font face="Verdana"><INPUT  id=rdoStatus_3 name=rdostatus type=radio value=3><LABEL for=rdoStatus_3>Silent</LABEL></font></TD>
																			<TD>
																			<font face="Verdana"><INPUT  id=rdoStatus_4 name=rdostatus type=radio value=4><LABEL for=rdoStatus_4>Pass Through</LABEL></font></TD>
																			<TD>
																			<TD><font face="Verdana"><INPUT checked id=rdoStatus_5 name=rdostatus type=radio value=5><LABEL for=rdoStatus_5>Greylist</LABEL></font></TD>
																		</TR>
<%
																	}	
%>
																	</TBODY>
																</TABLE>
															</TD>
														</TR>
														<TR class=general_tr>
															<TD width="30%"><font face="Verdana">Authority</font></TD>
															<TD width="70%">
																<TABLE border=0 cellPadding=0 cellSpacing=0 id=RdoAdmin style="BORDER-COLLAPSE: collapse; FONT-SIZE: 100%">
																	<TBODY>
																		<TR>
<%
																		if(adminid == 1) // SERVER ADMINISTRATOR
																		{
																			if(authority == 0)  // ANY AUTHORITY
																			{	
%>		
																				<TD><font face="Verdana">
																					<INPUT CHECKED id=RdoAdmin_0 name=rdoadmin type=radio value=0>
																					<LABEL for=RdoAdmin_0>Any</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT id=RdoAdmin_1 name=rdoadmin type=radio value=1>
																					<LABEL for=RdoAdmin_1>Server Admin</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT id=RdoAdmin_2 name=rdoadmin type=radio value=2>
																					<LABEL for=RdoAdmin_2>Domain Admin</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT id=RdoAdmin_3 name=rdoadmin type=radio value=3>
																					<LABEL for=RdoAdmin_3>Normal User</LABEL></font>
																				</TD>
<%
																			}
																			if(authority == 1)  // SERVER AUTHORITY
																			{	 
%>		
																				<TD><font face="Verdana">
																					<INPUT id=RdoAdmin_0 name=rdoadmin type=radio value=0>
																					<LABEL for=RdoAdmin_0>Any</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT CHECKED id=RdoAdmin_1 name=rdoadmin type=radio value=1>
																					<LABEL for=RdoAdmin_1>Server Admin</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT id=RdoAdmin_2 name=rdoadmin type=radio value=2>
																					<LABEL for=RdoAdmin_2>Domain Admin</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT id=RdoAdmin_3 name=rdoadmin type=radio value=3>
																					<LABEL for=RdoAdmin_3>Normal User</LABEL></font>
																				</TD>
<%
																			}
																			else if(authority == 2)  // DOMAIN AUTHORITY
																			{
%>
																				<TD><font face="Verdana">
																					<INPUT id=RdoAdmin_0 name=rdoadmin type=radio value=0>
																					<LABEL for=RdoAdmin_0>Any</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT id=RdoAdmin_1 name=rdoadmin type=radio value=1>
																					<LABEL for=RdoAdmin_1>Server Admin</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT CHECKED id=RdoAdmin_2 name=rdoadmin type=radio value=2>
																					<LABEL for=RdoAdmin_2>Domain Admin</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT id=RdoAdmin_3 name=rdoadmin type=radio value=3>
																					<LABEL for=RdoAdmin_3>Normal User</LABEL></font>
																				</TD>
<%
																			}
																			else if(authority == 3)  // USER AUTHORITY
																			{
%>
																				<TD><font face="Verdana">
																					<INPUT id=RdoAdmin_0 name=rdoadmin type=radio value=0>
																					<LABEL for=RdoAdmin_0>Any</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT id=RdoAdmin_1 name=rdoadmin type=radio value=1>
																					<LABEL for=RdoAdmin_1>Server Admin</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT id=RdoAdmin_2 name=rdoadmin type=radio value=2>
																					<LABEL for=RdoAdmin_2>Domain Admin</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT CHECKED id=RdoAdmin_3 name=rdoadmin type=radio value=3>
																					<LABEL for=RdoAdmin_3>Normal User</LABEL></font>
																				</TD>
<%
																			}	  
																		}
																		else if(adminid == 2) //DOMAIN ADMINISTRATOR
																		{
																			if(authority == 0)  // ANY AUTHORITY
																			{	
%>		
																				<TD><font face="Verdana">
																					<INPUT CHECKED id=RdoAdmin_0 name=rdoadmin type=radio value=0>
																					<LABEL for=RdoAdmin_0>Any</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT id=RdoAdmin_2 name=rdoadmin type=radio value=2>
																					<LABEL for=RdoAdmin_2>Domain Admin</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT id=RdoAdmin_3 name=rdoadmin type=radio value=3>
																					<LABEL for=RdoAdmin_3>Normal User</LABEL></font>
																				</TD>
<%
																			}
																			else if(authority == 2)  // DOMAIN AUTHORITY
																			{
%>
																				<TD><font face="Verdana">
																					<INPUT id=RdoAdmin_0 name=rdoadmin type=radio value=0>
																					<LABEL for=RdoAdmin_0>Any</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT CHECKED id=RdoAdmin_2 name=rdoadmin type=radio value=2>
																					<LABEL for=RdoAdmin_2>Domain Admin</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT id=RdoAdmin_3 name=rdoadmin type=radio value=3>
																					<LABEL for=RdoAdmin_3>Normal User</LABEL></font>
																				</TD>
<%
																			}
																			else if(authority == 3)  // USER AUTHORITY
																			{
%>
																				<TD><font face="Verdana">
																					<INPUT id=RdoAdmin_0 name=rdoadmin type=radio value=0>
																					<LABEL for=RdoAdmin_0>Any</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT id=RdoAdmin_2 name=rdoadmin type=radio value=2>
																					<LABEL for=RdoAdmin_2>Domain Admin</LABEL></font></TD><TD><font face="Verdana">
																					<INPUT CHECKED id=RdoAdmin_3 name=rdoadmin type=radio value=3>
																					<LABEL for=RdoAdmin_3>Normal User</LABEL></font>
																				</TD>
<%	
																			}	  
																		}
%>
																		</TR>
																	</TBODY>
																</TABLE>
															</TD>
														</TR>
														<TR class=general_tr>
															<TD width="30%"></TD>
															<TD width="70%">
																<font face="Verdana"><INPUT class=btn id=btnSearch language=javascript name=btnsearch onclick="chksearch('btnShowall',1);return false " type=button value="Filter Users List">&nbsp;<INPUT class=btn id=btnShowall language=javascript name=btnShowall type=button onclick="chksearch('btnShowall',2);return false" value="Show All Users">&nbsp;</font>
																<A class=gridrowlink href="#?" onclick="openHelp('help/SearchHelp.htm')" style="FONT-SIZE: 10px; FONT-WEIGHT: bold"><font face="Verdana">Help</font></A>
															</TD>
														</TR>
														<TR class=general_tr>
															<TD width="30%"></TD>
															<TD width="70%">&nbsp;</TD>
														</TR>
														<TR>
															<TD bgColor=black colSpan=2 height=1 width="100%"></TD>
														</TR>
														<TABLE id="hide" border=0 cellPadding=0 cellSpacing=0 id=Table1 width="100%">
															<TBODY>
																<TR>
																	<TD align=middle colSpan=2 height=12 width="100%">
																		<DIV class=1stgrid_head-user id=headerPanel>Users in Domain: <domain:domaininfo domain_id="<%= domainid %>" /></DIV>
																	</TD>
																</TR>
																<TR>
																	<TD align=left colSpan=2 width="50%"> 
																		<TABLE border=1 cellPadding=0 cellSpacing=0 id=Grid1_PUVGrid rules=cols style="BORDER-COLLAPSE: collapse; WIDTH: 100%">
																			<TBODY>
																				<TR class=2nd_griditem_head-user style="FONT-WEIGHT: bold">
																					<%	if(srtname.equals("sortnamedesc")) { %>	
																						<TD style="WIDTH: 25%">
																							<A href="javascript:onclick=sortname('sortnameasc')">Name<IMG id=sortnameasc border=0 src="images/sort_down_on.gif" width="7" height="4" ></IMG></A>
																						</TD>
																					<% } else if(srtname.equals("sortnameasc")) { %>
																						<TD style="WIDTH: 25%">
																							<A href="javascript:onclick=sortname('sortnamedesc')">Name<IMG id=sortnamedesc border=0 src="images/sort_up_on.gif" width="7" height="4" ></IMG></A>
																						</TD>
																					<% } else { %>
																						<TD style="WIDTH: 25%">
																							<A href="javascript:onclick=sortname('sortnamedesc')">Name</A>
																						</TD>
																					<% } %>
																					<% if(srtemail.equals("sortemaildesc")) { %>	
																						<TD style="WIDTH: 25%">
																							<A href="javascript:onclick=sortemail('sortemailasc')">Email Address<IMG id=sortemailasc border=0 src="images/sort_down_on.gif" width="7" height="4" ></IMG></A>
																						</TD>
																					<% } else if(srtemail.equals("sortemailasc")) { %>
																						<TD style="WIDTH: 25%">
																							<A href="javascript:onclick=sortemail('sortemaildesc')">Email Address<IMG id=sortemaildesc border=0 src="images/sort_up_on.gif" width="7" height="4" ></IMG></A>
																						</TD>
																					<% } else { %>
																						<TD style="WIDTH: 25%">
																							<A href="javascript:onclick=sortemail('sortemaildesc')">Email Address</A>
																						</TD>
																					<% } %>
																					<TD style="WIDTH: 25%"><A>Status</A></TD>
																					<TD style="WIDTH: 18%">Authority</TD>
																					<TD style="WIDTH: 7%"><A>Delete</A></TD>
																				</TR>
<!-- TAG HANDLER TO FETCH DOMAIN USERS-->
																				<domain:domainusers minimum="<%=dusersminimum%>" noofrec="0" domainid="<%=domainid%>" txtusername="<%=email%>" rdostatus="<%=stat%>" rdoadmin="<%=authority%>" hidshowallbtn='<%=showallbtn%>' sortname="<%=srtname%>" sortemail="<%=srtemail%>" adminid="<%=adminid%>"> <%
																				if(FirstName.equals("0"))
																				{}
																				else
																				{
																					String gridclass = "";
																					i++;
																					if (i%2 != 0)
																						gridclass = "gridrow2";
																					else
																						gridclass = "gridrow1-user";
																					
																					incr++;             %>
																					<INPUT type="hidden" name="txtuserid" value="<%=UserID%>">
																					<TR  class=<%=gridclass%>>
																					<TD title="Assume this user's persona"><A class=nav href="javascript:onclick=userPersona('<%=UserID%>')"><%=FirstName%>&nbsp;<%=LastName%></A></TD>
																					<TD title="Edit this user's settings"><A class=nav href="domainusersettings.jsp?userid=<%=UserID%>"><%=Email_UserName%>@<%=DomainName%></A></TD>
																					<% if(Integer.parseInt(Status) == 2) {	%>
																					<TD>
																					<INPUT  type="radio" name="radstatus<%=incr%>" title="Active: Unknown senders must validate themselves in order to send email to me" value="1">A			<INPUT type="radio" checked name="radstatus<%=incr%>" title="Passive: Accept email from everyone but add '[Unknown]' to the subject line from unknown senders" value="2">P
																					<INPUT type="radio" name="radstatus<%=incr%>" title="Silent: Accept all email" value="3">S			
																					<INPUT  type="radio" name="radstatus<%=incr%>" title="Passthrough:  Accept all mails dont add to my whitelist" value="4">T		
																					<INPUT  type="radio" name="radstatus<%=incr%>" title="Greylist: Unknown senders will  be rejected with a 451 smtp error of specified amount of time " value="5">G 
																					</TD>       <% } else if(Integer.parseInt(Status) == 1) {	%>
																					<TD>                   <INPUT type="radio"checked name="radstatus<%=incr%>" title="Active: Unknown senders must validate themselves in order to send email to me" value="1">A
																					<INPUT type="radio" name="radstatus<%=incr%>" title="Passive: Accept email from everyone but add '[Unknown]' to the subject line from unknown senders" value="2">P
																					<INPUT type="radio" name="radstatus<%=incr%>" title="Silent: Accept all email" value="3">S 
																					 <INPUT  type="radio" name="radstatus<%=incr%>" title="Passthrough:  Accept all mails dont add to my whitelist " value="4">T	
																					 <INPUT  type="radio" name="radstatus<%=incr%>" title="Greylist: Unknown senders will be rejected with a 451 smtp error ofspecified amount of time " value="5">G 							</TD>
																						<% } else if(Integer.parseInt(Status) == 3) { %>
																							<TD>
																						<INPUT type="radio" name="radstatus<%=incr%>" title="Active: Unknown senders must validate themselves in order to send email to me" value="1">A
																						<INPUT type="radio" name="radstatus<%=incr%>" title="Passive: Accept email from everyone but add '[Unknown]' to the subject line from unknown senders" value="3">P
																						<INPUT type="radio" checked name="radstatus<%=incr%>" title="Silent: Accept all email" value="3">S 
																						<INPUT  type="radio" name="radstatus<%=incr%>" title="Passthrough:  Accept all mails " value="4">T	
																						<INPUT  type="radio" name="radstatus<%=incr%>" title="Greylist: Unknown senders will be rejected with a 451 smtp errorofspecified amount of time " value="5">G  
																							</TD>
																						<% } else if(Integer.parseInt(Status) == 4) { %>
																							<TD>       
																					<INPUT type="radio" name="radstatus<%=incr%>" title="Active: Unknown senders must validate themselves in order to send email to me" value="1">A			<INPUT type="radio" name="radstatus<%=incr%>" title="Passive: Accept email from everyone but add '[Unknown]' to the subject line from unknown senders" value="2">P								<INPUT type="radio" name="radstatus<%=incr%>" title="Silent: Accept all email" value="3">S 
																					 <INPUT  type="radio" checked name="radstatus<%=incr%>" title="Passthrough:  Accept all mails dont add to my whitelist " value="4">T	
																					<INPUT  type="radio"  name="radstatus<%=incr%>" title="Greylist: Unknown senders will be rejected with a 451 smtp errorofspecified amount of time " value="5">G
																					</TD>
																					<% } else if(Integer.parseInt(Status) == 5) { %>
																							<TD>          
																					<INPUT type="radio" name="radstatus<%=incr%>" title="Active: Unknown senders must validate themselves in order to send email to me" value="1">A			<INPUT type="radio" name="radstatus<%=incr%>" title="Passive: Accept email from everyone but add '[Unknown]' to the subject line from unknown senders" value="2">P								<INPUT type="radio" name="radstatus<%=incr%>" title="Silent: Accept all email" value="3">S 
																					 <INPUT  type="radio" checked name="radstatus<%=incr%>" title="Passthrough:  Accept all mails dont add to my whitelist " value="4">T	
																					<INPUT  type="radio" checked name="radstatus<%=incr%>" title="Greylist: Unknown senders willbe rejected with a 451 smtp error of	specified amount of time " value="5">G
																					</TD>			
																						<% } 
																					if(adminid == 1 && Integer.parseInt(AdminID) == 1) {
																						%>
																							<TD>
																					<INPUT type="radio" name="radauth<%=incr%>" title="This is a Normal user"  value="3">U								<INPUT type="radio" name="radauth<%=incr%>" title="This is a Domain Administrator" value="2">D
																					<INPUT checked type="radio" name="radauth<%=incr%>" title="This is a Server Administrator" value="1">S
																				</TD>
																						<% } else if(adminid == 1 && Integer.parseInt(AdminID) == 2) { %>
																							<TD>
																					<INPUT type="radio" name="radauth<%=incr%>" title="This is a Normal user"  value="3">U
																				<INPUT checked type="radio" name="radauth<%=incr%>" title="This is a Domain Administrator" value="2">D
																				<INPUT  type="radio" name="radauth<%=incr%>" title="This is a Server Administrator" value="1">S
																							</TD>
																						<% } else if(adminid == 1 && Integer.parseInt(AdminID) == 3) { %>
																							<TD>
																				<INPUT checked type="radio" name="radauth<%=incr%>" title="This is a Normal user"  value="3">U
																				<INPUT type="radio" name="radauth<%=incr%>" title="This is a Domain Administrator" value="2">D
																				<INPUT  type="radio" name="radauth<%=incr%>" title="This is a Server Administrator" value="1">S
																						</TD>
																				<% } else if(adminid == 2 && Integer.parseInt(AdminID) == 2) { %>
																							<TD>
																				<INPUT type="radio" name="radauth<%=incr%>" title="This is a Normal user"  value="3">U
																				<INPUT checked type="radio" name="radauth<%=incr%>" title="This is a Domain Administrator" value="2">D
																							</TD>
																				<% } else if(adminid == 2 && Integer.parseInt(AdminID) == 3) { %>
																							<TD>
																				<INPUT checked type="radio" name="radauth<%=incr%>" title="This is a Normal user"  value="3">U
																				<INPUT type="radio" name="radauth<%=incr%>" title="This is a Domain Administrator" value="2">D
																							</TD>
																						<% } if(Integer.parseInt(UserID) == userid) { %>
																					<TD align="center"></TD>
																				<% } else { %>
																				<TD align="center">
																				<INPUT  type="checkbox" name="chkdelete" value=<%=UserID%>>
																							</TD>
																						<% } %>
																					</TR>
<%
																				}				
%>
																				</domain:domainusers>   <% int dusersrecords = Expr7.intValue();	%>
																				<tr class='footer' align='Right' style='font-weight:bold;'>
																					<td colspan='7' >
																						<!-- TAG HANDLER TO IMPLEMENT PAGING -->
																						<utility:paging totalrecords="<%=dusersrecords%>" minpage="<%=dusersminpage%>" min="<%=dusersmin%>" pagingtype="dusers" 
																						txtNumRec="<%=NumRec%>"/>
																					</td>
																				</tr>
																			<TBODY>
																		</tr>
																	</TABLE> 
																</TR>
																<TR>
																	<TD height=1 width="30%"></TD>
																	<TD height=1 width="70%"></TD>
																</TR>
															</TBODY>
														</TABLE>
													</TD>
												</TR>
												<TR class=generalbody>
													<TD align="middle" class="errmsg"><font size=2><%=message%></font></TD>
												</TR>
												<TR>
													<TD align=middle>
														<INPUT class=btn id=cmdSave name=Grid1:cmdSave type=button value="Save Changes" onclick="funsave();return false">
														<INPUT class=btn id=cmdDelete name=Grid1:cmdDelete type=button value="Delete Checked" onclick="fundelete();return false"> 
													</TD>
												</TR>
											</TBODY>
										</TABLE>
									</TD>
								</TR>
							</TBODY>
						</TABLE>
			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD bgColor=black colSpan=2 height=1 width="100%"></TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
			<INPUT type="hidden" name="totrecord" value=<%=incr%>>
		</FORM>
		<script>


			if( "<%=flag%>" == "false" )
			{
				var hideobj = document.all('hide')
				hideobj.style.display="none";
				var obj = document.all('btnShowall')
				obj.style.display="none";
			}
			else if( "<%=flag%>" == "true" )
			{	
				var hideobj = document.all('hide')
				hideobj.style.display="";
				var obj = document.all('btnShowall')
				obj.style.display="";

				document.frmviewusers.rdostatus.checked= true;
				document.frmviewusers.rdoadmin.checked= true;
				
				
				if("<%=showallbtn%>" == "true")
					obj.style.display="none";
				
			}
		</script>
	</BODY>
</HTML>